<?php
if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

wp_register_style( 'bootstrap', AD2APP_CSS_URL.'bootstrap.css' );
wp_enqueue_style('bootstrap');

if ( isset( $_POST['send_notif_wp2appir'] ) &&
     wp_verify_nonce( $_POST["send_notif_wp2appir"], 'wp2appir_send_notif' ) && current_user_can("update_plugins") ) {
	$email = get_option('email_AD2APP');
	$pass = get_option('password_AD2APP');
	$appid = get_option('appid_AD2APP');

	$value = $_POST["txt_link"];
	$action = 1;

	if($_POST["wp2app_voice"] == 1){
		$data = array(
			"sound" => 1,
			"title" => "",
			"description" => $_POST["txt_title"],
			"action" => $action,
			"value" => $value
		);
		$data = json_encode($data);
		$data = array(
			"data" => $data
		);
	}elseif($_POST["wp2app_voice"] == 2){
		$data = array(
			"sound" => 2,
			"title" => "",
			"description" => $_POST["txt_title"],
			"action" => $action,
			"value" => $value
		);
		$data = json_encode($data);
		$data = array(
			"data" => $data
		);
	}

	$ch = curl_init();
	curl_setopt($ch, CURLOPT_URL, "http://panel.wp2app.ir/panel/api/send_notification2all?email=$email&password=$pass&app_id=$appid");
	curl_setopt($ch, CURLOPT_HTTPHEADER, array(
		"Content-Type:multipart/form-data"	));
	curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, 0);
	curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, 0);
	curl_setopt($ch, CURLOPT_RETURNTRANSFER, TRUE);
	curl_setopt($ch, CURLOPT_POST, TRUE);
	curl_setopt($ch, CURLOPT_POSTFIELDS, $data);
	$response = curl_exec($ch);
	$response = json_decode($response);
	if($response->recipients){
		?>
        <div class="notice notice-success is-dismissible">
            <p style="color: green">
                نوتیفیکیشن با موفقیت ارسال شد.
            </p>
        </div>
		<?php
	}
	else{
		?>
        <div class="notice notice-warning is-dismissible">
            <p style="color: red">
                ارسال نوتیفیکیشن با خطا مواجه شد.
            </p>
        </div>
		<?php
	}
	curl_close($ch);
}

?>
    <div class="col-md-12">

        <div class="col-md-6"></div>
        <div class="col-md-6 " style="margin-top: 10px;">
            <div class="panel panel-default">
                <div class="panel-heading">
                    ارسال نوتیفیکیشن
                </div>
                <div class="panel-body">
                    <form method="POST">
                        <div class="col-md-12">
							<?php
							$email = get_option('email_AD2APP');
							$pass = get_option('password_AD2APP');
							$appid = get_option('appid_AD2APP');
							if(!$email && !$pass && !$appid){
								?>
                                <p>
                                    برای ازسال نوتیفیکیشن لاگین کنید.
                                    <a href="<?php menu_page_url('wp2appir/pages/wp2appir_login.php'); ?>">صفحه ورود</a>
                                </p>
								<?php
							}
							?>
                        </div>

						<?php wp_nonce_field('wp2appir_send_notif' , 'send_notif_wp2appir'); ?>
                        <div class="col-md-12" >
							<?php
							if($_SESSION['alert_t'] == 'alert_t'){
								?>
                                <div class="alert alert-success">
                                    پیام شما ارسال شد.
                                </div>
							<?php } ?>
							<?php
							if($_SESSION['alert_t'] == 'danger'){
								?>
                                <div class="alert alert-danger">
                                    لطفا فیلدها را پر کنید.
                                </div>
							<?php } ?>
                        </div>
                        <div class="col-md-12">
                            <div class="col-md-6 pill-right">
                                <p>
                                    <input checked="" type="radio" class="form-control" value="2" name="wp2app_voice" id="wp2app_silent">
                                    <span>بی صدا</span>
                                </p>
                            </div>
                            <div class="col-md-6 pill-right">
                                <p>
                                    <input checked="" type="radio" class="form-control" value="1" name="wp2app_voice" id="wp2app_voice">
                                    <span>با صدا</span>
                                </p>
                            </div>
                        </div>
                        <div class="clearfix"></div>
                        <hr>
                        <div class="col-md-12" style="margin-bottom : 10px;">
                            <div class="col-md-10" style="padding:0px; ">
                                <textarea name="txt_title"  required="required" class="form-control text-right"></textarea>
                            </div>
                            <div class="col-md-2 text-right" style="padding:0px;">
                                عنوان پیام :
                            </div>
                        </div>

                        <div id="link_notif_hami" class="col-md-12 " style="margin-bottom : 10px;">
                            <div class="col-md-10" style="padding:0px;">
                                <input type="text" name="txt_link" class="form-control text-left " required="required" style="direction:ltr;" placeholder="[http || https] :// mysite.ir">
                                <p style="color: red">
                                    در هنگام قرار دادن لینک حتما مقدار وارد شده را با http یا https وارد نمایید.
                                </p>
                            </div>
                            <div class="col-md-2 text-right" style="padding:0px;">
                                لینک پیام :
                            </div>
                        </div>

                        <div class="col-md-12" style="padding:0px;">
                            <div class="col-md-6 text-left">
                                <button type="submit" class="btn btn-default">
                                    ارسال
                                    <label class="fa fa-2x fa-save"></label>
                                </button>
                            </div>
                            <div class="col-md-6"></div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
<?php
wp_enqueue_script( 'notification_hami.js' , WOO2APP_JS_URL.'notification_hami.js', array('jquery'));
?>